Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(137)

Issue 1267283002: Gracefully handle XMLDocumentParser being detached by mutation events. (Closed)

Created:
5 years, 5 months ago by sof
Modified:
5 years, 5 months ago
CC:
blink-reviews, blink-reviews-dom_chromium.org, dglazkov+blink, eae+blinkwatch, rwlbuis
Target Ref:
refs/heads/master
Project:
blink
Visibility:
Public.

Description

Gracefully handle XMLDocumentParser being detached by mutation events. Should a mutation event handler run while flushing out parser-buffered text, we could end up in a detached state, something the implementation wasn't prepared for. Firm up exitText() usage, and rename it as updateLeafTextNode(). Also attempt to make enterText() more descriptive as createLeafTextNodeIfNeeded(). R=haraken,tkent,kouhei BUG=516290 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=200026

Patch Set 1 #

Patch Set 2 : rebased #

Patch Set 3 : rename as updateLeafTextNode() #

Total comments: 3

Patch Set 4 : add clarifying comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+43 lines, -20 lines) Patch
A LayoutTests/fast/parser/resources/xhtml-overwrite-frame.xhtml View 1 chunk +12 lines, -0 lines 0 comments Download
A + LayoutTests/fast/parser/xhtml-dom-character-data-modified-crash.html View 1 chunk +3 lines, -4 lines 0 comments Download
A LayoutTests/fast/parser/xhtml-dom-character-data-modified-crash-expected.txt View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/xml/parser/XMLDocumentParser.h View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/xml/parser/XMLDocumentParser.cpp View 1 2 3 9 chunks +25 lines, -14 lines 0 comments Download

Messages

Total messages: 15 (4 generated)
sof
please take a look.
5 years, 5 months ago (2015-08-04 11:38:36 UTC) #2
haraken
https://codereview.chromium.org/1267283002/diff/40001/Source/core/xml/parser/XMLDocumentParser.cpp File Source/core/xml/parser/XMLDocumentParser.cpp (right): https://codereview.chromium.org/1267283002/diff/40001/Source/core/xml/parser/XMLDocumentParser.cpp#newcode436 Source/core/xml/parser/XMLDocumentParser.cpp:436: updateLeafTextNode(); Don't we need to early-return here?
5 years, 5 months ago (2015-08-04 12:37:58 UTC) #3
sof
https://codereview.chromium.org/1267283002/diff/40001/Source/core/xml/parser/XMLDocumentParser.cpp File Source/core/xml/parser/XMLDocumentParser.cpp (right): https://codereview.chromium.org/1267283002/diff/40001/Source/core/xml/parser/XMLDocumentParser.cpp#newcode436 Source/core/xml/parser/XMLDocumentParser.cpp:436: updateLeafTextNode(); On 2015/08/04 12:37:58, haraken wrote: > > Don't ...
5 years, 5 months ago (2015-08-04 12:42:35 UTC) #4
haraken
On 2015/08/04 12:42:35, sof wrote: > https://codereview.chromium.org/1267283002/diff/40001/Source/core/xml/parser/XMLDocumentParser.cpp > File Source/core/xml/parser/XMLDocumentParser.cpp (right): > > https://codereview.chromium.org/1267283002/diff/40001/Source/core/xml/parser/XMLDocumentParser.cpp#newcode436 > ...
5 years, 5 months ago (2015-08-04 12:45:41 UTC) #5
haraken
+kouhei
5 years, 5 months ago (2015-08-04 12:47:34 UTC) #7
sof
Thanks; will leave this one alone overnight, lest anyone else wants to have a look. ...
5 years, 5 months ago (2015-08-04 13:52:31 UTC) #8
sof
On 2015/08/04 13:52:31, sof wrote: > Thanks; will leave this one alone overnight, lest anyone ...
5 years, 5 months ago (2015-08-04 13:55:36 UTC) #9
tkent
Looks reasonable. lgtm.
5 years, 5 months ago (2015-08-05 00:49:18 UTC) #10
kouhei (in TOK)
lgtm
5 years, 5 months ago (2015-08-05 03:48:48 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1267283002/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1267283002/60001
5 years, 5 months ago (2015-08-05 05:11:48 UTC) #14
commit-bot: I haz the power
5 years, 5 months ago (2015-08-05 05:59:08 UTC) #15
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://src.chromium.org/viewvc/blink?view=rev&revision=200026

Powered by Google App Engine
This is Rietveld 408576698